#!/bin/bash
# Script for cleaning all the autogenerated and temporary data.
#
# Thomas Guillod - Dartmouth College
# Mozilla Public License Version 2.0

set -o nounset
set -o pipefail

# change to root directory
cd "$(dirname "$0")" && cd ..

# clean Python objects
find . -name "*.pyc" -type f -delete
find . -name "*.pyo" -type f -delete

# clean cache directories
find . -path '*/__pycache__/*' -type f -delete
find . -name "__pycache__" -type d -delete

# clean Jupyter checkpoints
find . -path '*/.ipynb_checkpoints/*' -type f -delete
find . -name ".ipynb_checkpoints" -type d -delete

# clean generated files
rm -rf pypeec/data/version.txt
rm -rf pypeec/data/examples.tar.xz
rm -rf pypeec/data/documentation.tar.xz

# clean package data
rm -rf dist
rm -rf build
rm -rf pypeec.egg-info

# clean generated folders
rm -rf html
rm -rf website
rm -rf coverage

# clean Sphinx data
rm -rf docs/_static
rm -rf docs/_templates

exit 0
